gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r30354 - gnunet/src/gns


From: gnunet
Subject: [GNUnet-SVN] r30354 - gnunet/src/gns
Date: Sun, 20 Oct 2013 15:33:21 +0200

Author: schanzen
Date: 2013-10-20 15:33:21 +0200 (Sun, 20 Oct 2013)
New Revision: 30354

Added:
   gnunet/src/gns/test_gns_revocation.sh
Modified:
   gnunet/src/gns/Makefile.am
   gnunet/src/gns/test_gns_lookup.conf
   gnunet/src/gns/test_gns_ns_lookup.sh
Log:
-revocation


Modified: gnunet/src/gns/Makefile.am
===================================================================
--- gnunet/src/gns/Makefile.am  2013-10-20 13:17:32 UTC (rev 30353)
+++ gnunet/src/gns/Makefile.am  2013-10-20 13:33:21 UTC (rev 30354)
@@ -227,6 +227,8 @@
   test_gns_plus_lookup.sh\
   test_gns_zkey_lookup.sh\
   test_gns_rel_expiration.sh\
+       test_gns_soa_lookup.sh\
+       test_gns_revocation.sh\
   test_gns_cname_lookup.sh
 
 if ENABLE_TEST_RUN

Modified: gnunet/src/gns/test_gns_lookup.conf
===================================================================
--- gnunet/src/gns/test_gns_lookup.conf 2013-10-20 13:17:32 UTC (rev 30353)
+++ gnunet/src/gns/test_gns_lookup.conf 2013-10-20 13:33:21 UTC (rev 30354)
@@ -20,3 +20,6 @@
 RECORD_PUT_INTERVAL = 1 h
 ZONE_PUBLISH_TIME_WINDOW = 1 h
 
DNS_ROOT=6KT43HD94T0C7R43JSE1U5G982BOHT9RCENEV7HT1207APDBQIT5RLLK2LCSC0PL2ICNRFPPQ834TIVOKK421TP1T1NNUKG43OHKPV8
+
+[revocation]
+WORKBITS = 1

Modified: gnunet/src/gns/test_gns_ns_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_ns_lookup.sh        2013-10-20 13:17:32 UTC (rev 
30353)
+++ gnunet/src/gns/test_gns_ns_lookup.sh        2013-10-20 13:33:21 UTC (rev 
30354)
@@ -6,6 +6,7 @@
 TEST_DOMAIN_ALT2="uk.homepage.gnu"
 TEST_IP_ALT2="81.187.252.184"
 TEST_IP="131.159.74.67"
+TEST_IP6="2001:4ca0:2001:42:225:90ff:fe6b:d60"
 TEST_IP_GNS2DNS="184.172.157.218"
 TEST_RECORD_NAME="homepage"
 TEST_RECORD_GNS2DNS="gnunet.org"
@@ -14,6 +15,7 @@
 gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME -t A -V 
$TEST_IP_GNS2DNS -e never -c test_gns_lookup.conf
 gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME -t GNS2DNS -V 
$TEST_RECORD_GNS2DNS -e never -c test_gns_lookup.conf
 RES_IP=$(timeout 5 gnunet-gns --raw -z testego -u $TEST_DOMAIN -t A -c 
test_gns_lookup.conf)
+RES_IP6=$(timeout 5 gnunet-gns --raw -z testego -u $TEST_DOMAIN -t AAAA -c 
test_gns_lookup.conf)
 RES_IP_ALT=$(timeout 5 gnunet-gns --raw -z testego -u $TEST_DOMAIN_ALT -t A -c 
test_gns_lookup.conf)
 RES_IP_ALT2=$(timeout 5 gnunet-gns --raw -z testego -u $TEST_DOMAIN_ALT2 -t A 
-c test_gns_lookup.conf)
 gnunet-namestore -z testego -d -n www -t A -V $TEST_IP -e never -c 
test_gns_lookup.conf
@@ -29,6 +31,14 @@
   exit 1
 fi
 
+if [ "$RES_IP6" == "$TEST_IP6" ]
+then
+  echo "PASS: Resolved $TEST_DOMAIN to $RES_IP6."
+else
+  echo "Failed to resolve to proper IP for $TEST_DOMAIN, got $RES_IP6, wanted 
$TEST_IP6."
+  exit 1
+fi
+
 if [ "$RES_IP_ALT" == "$TEST_IP" ]
 then
   echo "PASS: Resolved $TEST_DOMAIN_ALT to $RES_IP_ALT."

Added: gnunet/src/gns/test_gns_revocation.sh
===================================================================
--- gnunet/src/gns/test_gns_revocation.sh                               (rev 0)
+++ gnunet/src/gns/test_gns_revocation.sh       2013-10-20 13:33:21 UTC (rev 
30354)
@@ -0,0 +1,32 @@
+#!/bin/bash
+trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
+rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
+
+TEST_IP="127.0.0.1"
+gnunet-arm -s -c test_gns_lookup.conf
+gnunet-identity -C delegatedego -c test_gns_lookup.conf
+DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep 
delegatedego | awk '{print $3}')
+gnunet-identity -C testego -c test_gns_lookup.conf
+gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c 
test_gns_lookup.conf
+gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e never -c 
test_gns_lookup.conf
+RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c 
test_gns_lookup.conf`
+gnunet-revocation -R delegatedego -p  -c test_gns_lookup.conf
+RES_IP_REV=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c 
test_gns_lookup.conf`
+gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c 
test_gns_lookup.conf
+gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e never -c 
test_gns_lookup.conf
+gnunet-arm -e -c test_gns_lookup.conf
+
+if [ "$RES_IP" != "$TEST_IP" ]
+then
+  echo "Failed to resolve to proper IP, got $RES_IP."
+  exit 1
+fi
+
+if [ "$RES_IP_REV" == " " ]
+then
+  exit 0
+else
+  echo "Failed to revoke zone, got $RES_IP."
+  exit 1
+fi


Property changes on: gnunet/src/gns/test_gns_revocation.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property



reply via email to

[Prev in Thread] Current Thread [Next in Thread]